$(document).ready(function(){
	$('#btnAgentApp').click(function(){
		if(!$('#cbyhxy').attr('checked')){
			alert('只有同意并接受相关条款才可以注册');
			return false;
		};
	});
	
    $("#Form1").validate({
    event: "keyup",
    rules: {
        txtAgentName:{
            required:true
//            byteRangeLength:[6,16],
//            stringCheck:true,
//            remote:{
//                url : '/' + shopFolder +'AgentApp.aspx?NoCopyright=1&ajax=CheckAgentName',//后台处理页面
//                type : "post",
//                dataType : "json",
//                data : {agentname :function(){
//                    return $('#txtAgentName').val();
//                    }
//                }          
//            }
        },        
        txtAgentPhone:{
//            required:true,
            isTel:true
        },
        txtAgentMobile:{
            isMobile:true
        },
        txtAgentEmail:{
            email:true
        },
        txtPostalcode:{
            isZipCode:true
        },
        txtIDCartNo:{
            isIdCardNo:true
        },
        txtAccountName:{
            required:true
        },        
        txtBankAccount:{
            required:true
        },
        txtBankName:{
            required:true
        }       
    },		
    messages: {
        txtAgentName: {
            required: "推广员名称必填",
            remote:"此推广员名称已经有人注册过"
        },
        txtAgentPhone: {
            isTel: "电话号码格式不正确"
        },
        txtAgentMobile: {
            isMobile: "手机号码格式不正确"
        },
        txtAgentEmail:{
            email:'电子邮件格式不正确'
        },
        txtPostalcode:{
            isZipCode:'邮编格式不正确'
        },
        isIdCardNo:{
            isIdCardNo:'身份证格式不正确'
        },
        txtAccountName:{
            required: "银行账户名必填"
        },
        txtBankAccount:{
            required: "银行账户必填"
        },
        txtBankName:{
            required: "开户银行名必填"
        }
    },	            
    debug:"false",
    submitHandler:function(form){
        form.submit();
    }
    });     	
});

//验证字符的长度，一个中文长度为2
	$.validator.methods.strlen= function(value,element,param){
       var  str =$(element).val();
       var  len =0;
       for(var i=0;i<str.length;i++){
          if(str.charCodeAt(i)>255){
             len +=2;
          }
          else{
             len +=1;
          }
       }
       return (len -param)<=0;
	}
	
  // 字符最小长度验证（一个中文字符长度为2）
    jQuery.validator.addMethod("stringMinLength", function(value, element, param) {
     var length = value.length;
     for ( var i = 0; i < value.length; i++) {
      if (value.charCodeAt(i) > 127) {
       length++;
      }
     }
     return this.optional(element) || (length >= param);
    }, $.validator.format("长度不能小于{0}!"));
  
    // 字符最大长度验证（一个中文字符长度为2）
    jQuery.validator.addMethod("stringMaxLength", function(value, element, param) {
     var length = value.length;
     for ( var i = 0; i < value.length; i++) {
      if (value.charCodeAt(i) > 127) {
       length++;
      }
     }
     return this.optional(element) || (length <= param);
    }, $.validator.format("长度不能大于{0}!"));

 // 字符验证      
  jQuery.validator.addMethod("stringCheck", function(value, element) {      
     return this.optional(element) || /^[\u0391-\uFFE5\w-]+$/.test(value);      
  }, "只能包括中文字、英文字母、数字和中划线下划线");  
  
  // 中文字两个字节      
  jQuery.validator.addMethod("byteRangeLength", function(value, element, param) {      
      var length = value.length;      
      for(var i = 0; i < value.length; i++){      
          if(value.charCodeAt(i) > 127){      
          length++;      
          }      
      }      
      return this.optional(element) || ( length >= param[0] && length <= param[1] );      
  },$.validator.format("请确保输入的值在{0}-{1}个字符之间(一个中文字算2个字节)")); 
   
  // 字符验证
    jQuery.validator.addMethod("string", function(value, element) {
     return this.optional(element) || /^[\u0391-\uFFE5\w]+$/.test(value);
    }, "不允许包含特殊符号!");

    jQuery.validator.addMethod("alnum", function(value, element) {
    return this.optional(element) || /^[a-zA-Z0-9]+$/.test(value);
    }, "只能包括英文字母和数字");
 // 汉字
    jQuery.validator.addMethod("chcharacter", function(value, element) {
    var tel = /^[\u4e00-\u9fa5]+$/;
    return this.optional(element) || (tel.test(value));
    }, "请输入汉字");
  // 身份证号码验证      
  jQuery.validator.addMethod("isIdCardNo", function(value, element) {
      return this.optional(element) || /^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$/.test(value)||/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[A-Z])$/.test(value);      
  }, "请正确输入您的身份证号码");
      
  // 手机号码验证      
  jQuery.validator.addMethod("isMobile", function(value, element) {      
      var length = value.length;  
      var mobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;  
      return this.optional(element) || (length == 11 && mobile.test(value))|| value==0;      
  }, "请正确填写您的手机号码");      
      
  // 电话号码验证      
  jQuery.validator.addMethod("isTel", function(value, element) {      
      var tel = /^\d{3,4}-?\d{7,9}$/;    //电话号码格式010-12345678  
      return this.optional(element) || (tel.test(value));      
  }, "请正确填写您的电话号码");  
   
  // 联系电话(手机/电话皆可)验证  
  jQuery.validator.addMethod("isPhone", function(value,element) {  
      var length = value.length;  
      var mobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;  
      var tel = /^\d{3,4}-?\d{7,9}$/;  
      return this.optional(element) || (tel.test(value) || mobile.test(value));  
   
  }, "请正确填写您的联系电话");  
      
  // 邮政编码验证      
  jQuery.validator.addMethod("isZipCode", function(value, element) {      
      var tel = /^[0-9]{6}$/;      
      return this.optional(element) || (tel.test(value));      
  }, "请正确填写您的邮政编码"); 